Bug 1648649 - dnf reposync with --quiet crashes
Summary: dnf reposync with --quiet crashes
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: dnf-plugins-core
Version: 29
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Marek Blaha
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-11-11 11:28 UTC by Paul Howarth
Modified: 2018-12-05 02:33 UTC (History)
5 users (show)

Fixed In Version: dnf-plugins-core-4.0.2-1.fc29
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-12-05 02:33:23 UTC


Attachments (Terms of Use)

Description Paul Howarth 2018-11-11 11:28:07 UTC
Using reposync with --quiet causes a traceback:

$ dnf --quiet reposync --repoid updates -p /tmp
Traceback (most recent call last):
  File "/usr/bin/dnf", line 58, in <module>
    main.user_main(sys.argv[1:], exit_code=True)
  File "/usr/lib/python3.7/site-packages/dnf/cli/main.py", line 179, in user_main
    errcode = main(args)
  File "/usr/lib/python3.7/site-packages/dnf/cli/main.py", line 64, in main
    return _main(base, args, cli_class, option_parser_class)
  File "/usr/lib/python3.7/site-packages/dnf/cli/main.py", line 99, in _main
    return cli_run(cli, base)
  File "/usr/lib/python3.7/site-packages/dnf/cli/main.py", line 115, in cli_run
    cli.run()
  File "/usr/lib/python3.7/site-packages/dnf/cli/cli.py", line 1055, in run
    return self.command.run()
  File "/usr/lib/python3.7/site-packages/dnf-plugins/reposync.py", line 106, in run
    self.download_packages(repo)
  File "/usr/lib/python3.7/site-packages/dnf-plugins/reposync.py", line 174, in download_packages
    base._download_remote_payloads(payloads, drpm, progress, None)
  File "/usr/lib/python3.7/site-packages/dnf/base.py", line 1059, in _download_remote_payloads
    if progress.start.__code__.co_argcount == 4:
AttributeError: 'NoneType' object has no attribute 'start'

Without --quiet it works as expected.

Version-Release number of selected component (if applicable):
dnf-plugins-core-4.0.0-2.fc29.noarch

Comment 1 Marek Blaha 2018-11-13 08:33:25 UTC
PR https://github.com/rpm-software-management/dnf-plugins-core/pull/304 fixes the error.

Comment 2 Fedora Update System 2018-11-22 18:56:48 UTC
libdnf-0.22.3-1.fc29 dnf-4.0.9-1.fc29 dnf-plugins-core-4.0.2-1.fc29 dnf-plugins-extras-4.0.0-1.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2018-17cbc3c616

Comment 3 Fedora Update System 2018-11-23 02:56:23 UTC
dnf-4.0.9-1.fc29, dnf-plugins-core-4.0.2-1.fc29, dnf-plugins-extras-4.0.0-1.fc29, libdnf-0.22.3-1.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-17cbc3c616

Comment 4 Fedora Update System 2018-12-05 02:33:23 UTC
dnf-4.0.9-1.fc29, dnf-plugins-core-4.0.2-1.fc29, dnf-plugins-extras-4.0.0-1.fc29, libdnf-0.22.3-1.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.